For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Current Org Users
      • POSTCreate Current Org User
      • GETGet Current Org User
      • PUTUpdate Current Org User
      • DELDelete Current Org User
      • GETList Partner Users
      • POSTCreate Partner User
      • GETGet Partner User
      • PUTUpdate Partner User
      • DELDelete Partner User
      • POSTCreate Partner User API Key
Logo
Log inBook a demo
API ReferenceUsers

List Partner Users

GET
https://app.polytomic.com/api/organizations/:org_id/users
GET
/api/organizations/:org_id/users
$curl https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "email": "jane.doe@acmecorp.com",
5 "id": "a3f1c2d4-5b6e-7f89-0123-456789abcdef",
6 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
7 "role_ids": [
8 "d9f8e7c6-b5a4-3210-9fed-cba987654321"
9 ],
10 "role": "admin"
11 },
12 {
13 "email": "john.smith@acmecorp.com",
14 "id": "b4e2d3c5-6f7a-8901-2345-6789abcdef01",
15 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
16 "role_ids": [
17 "e1f2d3c4-b5a6-7890-1234-56789abcdef0"
18 ],
19 "role": "user"
20 }
21 ]
22}

Lists all users in the specified organization.

🚧 Requires partner key

User endpoints are only accessible using partner keys.

Returns user records including each user’s ID, email, and assigned roles.

Was this page helpful?
Previous

Create Partner User

Next

Authentication

AuthorizationBearer
Bearer partner API key

Path parameters

org_idstringRequiredformat: "uuid"
Unique identifier of the organization whose users should be listed.

Headers

X-Polytomic-VersionstringOptional

Response

OK
datalist of objects or null

Errors

403
Forbidden Error
404
Not Found Error